=== extras/faad2/libfaad/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# libfaad/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/libfaad
top_srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
VPATH = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/libfaad
pkgdatadir = $(datadir)/faad2
pkglibdir = $(libdir)/faad2
pkgincludedir = $(includedir)/faad2
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run tar
AR = arm-linux-ar
AUTOCONF = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run automake-1.7
AWK = gawk
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = arm-linux-g77
FFLAGS = -g -O2
GTK_CONFIG = 
HAVE_MPEG4IP_PLUG_FALSE = 
HAVE_MPEG4IP_PLUG_TRUE = #
HAVE_XMMS_FALSE = 
HAVE_XMMS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run makeinfo
MP4FF_LIBS = 
OBJEXT = o
PACKAGE = faad2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-strip
VERSION = 2.0
XMMS_CONFIG = 
ac_ct_AR = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
external_mp4v2 = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
lib_LTLIBRARIES = libfaad.la

include_HEADERS = $(top_srcdir)/include/faad.h \
                  $(top_srcdir)/include/neaacdec.h


libfaad_la_LDFLAGS = -lm

libfaad_la_SOURCES = bits.c cfft.c decoder.c drc.c \
drm_dec.c error.c filtbank.c \
ic_predict.c is.c lt_predict.c mdct.c mp4.c ms.c output.c pns.c \
ps_dec.c ps_syntax.c \
pulse.c specrec.c syntax.c tns.c hcr.c huffman.c \
rvlc.c ssr.c ssr_fb.c ssr_ipqf.c common.c \
sbr_dct.c sbr_e_nf.c sbr_fbt.c sbr_hfadj.c sbr_hfgen.c \
sbr_huff.c sbr_qmf.c sbr_syntax.c sbr_tf_grid.c sbr_dec.c \
analysis.h bits.h cfft.h cfft_tab.h common.h \
decoder.h drc.h drm_dec.h error.h fixed.h filtbank.h \
huffman.h ic_predict.h iq_table.h is.h kbd_win.h lt_predict.h \
mdct.h mdct_tab.h mp4.h ms.h output.h pns.h ps_dec.h ps_tables.h \
pulse.h rvlc.h \
sbr_dct.h sbr_dec.h sbr_e_nf.h sbr_fbt.h sbr_hfadj.h sbr_hfgen.h \
sbr_huff.h sbr_noise.h sbr_qmf.h sbr_syntax.h sbr_tf_grid.h \
sine_win.h specrec.h ssr.h ssr_fb.h ssr_ipqf.h \
ssr_win.h syntax.h structs.h tns.h \
sbr_qmf_c.h codebook/hcb.h \
codebook/hcb_1.h codebook/hcb_2.h codebook/hcb_3.h codebook/hcb_4.h \
codebook/hcb_5.h codebook/hcb_6.h codebook/hcb_7.h codebook/hcb_8.h \
codebook/hcb_9.h codebook/hcb_10.h codebook/hcb_11.h codebook/hcb_sf.h

subdir = libfaad
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

libfaad_la_LIBADD =
am_libfaad_la_OBJECTS = bits.lo cfft.lo decoder.lo drc.lo drm_dec.lo \
	error.lo filtbank.lo ic_predict.lo is.lo lt_predict.lo mdct.lo \
	mp4.lo ms.lo output.lo pns.lo ps_dec.lo ps_syntax.lo pulse.lo \
	specrec.lo syntax.lo tns.lo hcr.lo huffman.lo rvlc.lo ssr.lo \
	ssr_fb.lo ssr_ipqf.lo common.lo sbr_dct.lo sbr_e_nf.lo \
	sbr_fbt.lo sbr_hfadj.lo sbr_hfgen.lo sbr_huff.lo sbr_qmf.lo \
	sbr_syntax.lo sbr_tf_grid.lo sbr_dec.lo
libfaad_la_OBJECTS = $(am_libfaad_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/bits.Plo ./$(DEPDIR)/cfft.Plo \
	./$(DEPDIR)/common.Plo ./$(DEPDIR)/decoder.Plo \
	./$(DEPDIR)/drc.Plo ./$(DEPDIR)/drm_dec.Plo \
	./$(DEPDIR)/error.Plo ./$(DEPDIR)/filtbank.Plo \
	./$(DEPDIR)/hcr.Plo ./$(DEPDIR)/huffman.Plo \
	./$(DEPDIR)/ic_predict.Plo ./$(DEPDIR)/is.Plo \
	./$(DEPDIR)/lt_predict.Plo ./$(DEPDIR)/mdct.Plo \
	./$(DEPDIR)/mp4.Plo ./$(DEPDIR)/ms.Plo \
	./$(DEPDIR)/output.Plo ./$(DEPDIR)/pns.Plo \
	./$(DEPDIR)/ps_dec.Plo ./$(DEPDIR)/ps_syntax.Plo \
	./$(DEPDIR)/pulse.Plo ./$(DEPDIR)/rvlc.Plo \
	./$(DEPDIR)/sbr_dct.Plo ./$(DEPDIR)/sbr_dec.Plo \
	./$(DEPDIR)/sbr_e_nf.Plo ./$(DEPDIR)/sbr_fbt.Plo \
	./$(DEPDIR)/sbr_hfadj.Plo ./$(DEPDIR)/sbr_hfgen.Plo \
	./$(DEPDIR)/sbr_huff.Plo ./$(DEPDIR)/sbr_qmf.Plo \
	./$(DEPDIR)/sbr_syntax.Plo \
	./$(DEPDIR)/sbr_tf_grid.Plo ./$(DEPDIR)/specrec.Plo \
	./$(DEPDIR)/ssr.Plo ./$(DEPDIR)/ssr_fb.Plo \
	./$(DEPDIR)/ssr_ipqf.Plo ./$(DEPDIR)/syntax.Plo \
	./$(DEPDIR)/tns.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libfaad_la_SOURCES)
HEADERS = $(include_HEADERS)

DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.in Makefile.am
SOURCES = $(libfaad_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  libfaad/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libfaad.la: $(libfaad_la_OBJECTS) $(libfaad_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libfaad_la_LDFLAGS) $(libfaad_la_OBJECTS) $(libfaad_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/bits.Plo
include ./$(DEPDIR)/cfft.Plo
include ./$(DEPDIR)/common.Plo
include ./$(DEPDIR)/decoder.Plo
include ./$(DEPDIR)/drc.Plo
include ./$(DEPDIR)/drm_dec.Plo
include ./$(DEPDIR)/error.Plo
include ./$(DEPDIR)/filtbank.Plo
include ./$(DEPDIR)/hcr.Plo
include ./$(DEPDIR)/huffman.Plo
include ./$(DEPDIR)/ic_predict.Plo
include ./$(DEPDIR)/is.Plo
include ./$(DEPDIR)/lt_predict.Plo
include ./$(DEPDIR)/mdct.Plo
include ./$(DEPDIR)/mp4.Plo
include ./$(DEPDIR)/ms.Plo
include ./$(DEPDIR)/output.Plo
include ./$(DEPDIR)/pns.Plo
include ./$(DEPDIR)/ps_dec.Plo
include ./$(DEPDIR)/ps_syntax.Plo
include ./$(DEPDIR)/pulse.Plo
include ./$(DEPDIR)/rvlc.Plo
include ./$(DEPDIR)/sbr_dct.Plo
include ./$(DEPDIR)/sbr_dec.Plo
include ./$(DEPDIR)/sbr_e_nf.Plo
include ./$(DEPDIR)/sbr_fbt.Plo
include ./$(DEPDIR)/sbr_hfadj.Plo
include ./$(DEPDIR)/sbr_hfgen.Plo
include ./$(DEPDIR)/sbr_huff.Plo
include ./$(DEPDIR)/sbr_qmf.Plo
include ./$(DEPDIR)/sbr_syntax.Plo
include ./$(DEPDIR)/sbr_tf_grid.Plo
include ./$(DEPDIR)/specrec.Plo
include ./$(DEPDIR)/ssr.Plo
include ./$(DEPDIR)/ssr_fb.Plo
include ./$(DEPDIR)/ssr_ipqf.Plo
include ./$(DEPDIR)/syntax.Plo
include ./$(DEPDIR)/tns.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
includeHEADERS_INSTALL = $(INSTALL_HEADER)
install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
