=== modules/gui/peekaboo/Makefile ===
#Peekaboo makefile for compiling




CC      = gcc
CFLAGS  =`pkg-config --cflags --libs gconf-2.0 hildon-libs hildon-fm gtk+-2.0 libosso gdk-2.0`
EXE = peekaboo
OBS = peekaboo_ui.o



#peekaboo: peekaboo_ui.o

#$(EXE): $(CC) $(OBJS) -o $(EXE)

peekaboo: peekaboo_ui.c
	  $(CC) $(CFLAGS) peekaboo_ui.c -o $(EXE)
