=== extras/faad2/common/mp4ff/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# common/mp4ff/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/common/mp4ff
top_srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
VPATH = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/common/mp4ff
pkgdatadir = $(datadir)/faad2
pkglibdir = $(libdir)/faad2
pkgincludedir = $(includedir)/faad2
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run tar
AR = arm-linux-ar
AUTOCONF = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run automake-1.7
AWK = gawk
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = arm-linux-g77
FFLAGS = -g -O2
GTK_CONFIG = 
HAVE_MPEG4IP_PLUG_FALSE = 
HAVE_MPEG4IP_PLUG_TRUE = #
HAVE_XMMS_FALSE = 
HAVE_XMMS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run makeinfo
MP4FF_LIBS = 
OBJEXT = o
PACKAGE = faad2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-strip
VERSION = 2.0
XMMS_CONFIG = 
ac_ct_AR = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
external_mp4v2 = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
noinst_LIBRARIES = libmp4ff.a

libmp4ff_a_CFLAGS = -DUSE_TAGGING=1

libmp4ff_a_SOURCES = mp4ff.c mp4atom.c mp4meta.c mp4sample.c mp4util.c \
   mp4tagupdate.c mp4ff.h mp4ffint.h mp4ff_int_types.h \
   drms.h drms.c drmstables.h

subdir = common/mp4ff
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)

libmp4ff_a_AR = $(AR) cru
libmp4ff_a_LIBADD =
am_libmp4ff_a_OBJECTS = libmp4ff_a-mp4ff.$(OBJEXT) \
	libmp4ff_a-mp4atom.$(OBJEXT) libmp4ff_a-mp4meta.$(OBJEXT) \
	libmp4ff_a-mp4sample.$(OBJEXT) libmp4ff_a-mp4util.$(OBJEXT) \
	libmp4ff_a-mp4tagupdate.$(OBJEXT) libmp4ff_a-drms.$(OBJEXT)
libmp4ff_a_OBJECTS = $(am_libmp4ff_a_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/libmp4ff_a-drms.Po \
	./$(DEPDIR)/libmp4ff_a-mp4atom.Po \
	./$(DEPDIR)/libmp4ff_a-mp4ff.Po \
	./$(DEPDIR)/libmp4ff_a-mp4meta.Po \
	./$(DEPDIR)/libmp4ff_a-mp4sample.Po \
	./$(DEPDIR)/libmp4ff_a-mp4tagupdate.Po \
	./$(DEPDIR)/libmp4ff_a-mp4util.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libmp4ff_a_SOURCES)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
SOURCES = $(libmp4ff_a_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  common/mp4ff/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libmp4ff.a: $(libmp4ff_a_OBJECTS) $(libmp4ff_a_DEPENDENCIES) 
	-rm -f libmp4ff.a
	$(libmp4ff_a_AR) libmp4ff.a $(libmp4ff_a_OBJECTS) $(libmp4ff_a_LIBADD)
	$(RANLIB) libmp4ff.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/libmp4ff_a-drms.Po
include ./$(DEPDIR)/libmp4ff_a-mp4atom.Po
include ./$(DEPDIR)/libmp4ff_a-mp4ff.Po
include ./$(DEPDIR)/libmp4ff_a-mp4meta.Po
include ./$(DEPDIR)/libmp4ff_a-mp4sample.Po
include ./$(DEPDIR)/libmp4ff_a-mp4tagupdate.Po
include ./$(DEPDIR)/libmp4ff_a-mp4util.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

libmp4ff_a-mp4ff.o: mp4ff.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4ff.o -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" \
	  -c -o libmp4ff_a-mp4ff.o `test -f 'mp4ff.c' || echo '$(srcdir)/'`mp4ff.c; \
	then mv -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" "$(DEPDIR)/libmp4ff_a-mp4ff.Po"; \
	else rm -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo"; exit 1; \
	fi
#	source='mp4ff.c' object='libmp4ff_a-mp4ff.o' libtool=no \
#	depfile='$(DEPDIR)/libmp4ff_a-mp4ff.Po' tmpdepfile='$(DEPDIR)/libmp4ff_a-mp4ff.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4ff.o `test -f 'mp4ff.c' || echo '$(srcdir)/'`mp4ff.c

libmp4ff_a-mp4ff.obj: mp4ff.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4ff.obj -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" \
	  -c -o libmp4ff_a-mp4ff.obj `if test -f 'mp4ff.c'; then $(CYGPATH_W) 'mp4ff.c'; else $(CYGPATH_W) '$(srcdir)/mp4ff.c'; fi`; \
	then mv -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" "$(DEPDIR)/libmp4ff_a-mp4ff.Po"; \
	else rm -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo"; exit 1; \
	fi
#	source='mp4ff.c' object='libmp4ff_a-mp4ff.obj' libtool=no \
#	depfile='$(DEPDIR)/libmp4ff_a-mp4ff.Po' tmpdepfile='$(DEPDIR)/libmp4ff_a-mp4ff.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4ff.obj `if test -f 'mp4ff.c'; then $(CYGPATH_W) 'mp4ff.c'; else $(CYGPATH_W) '$(srcdir)/mp4ff.c'; fi`

libmp4ff_a-mp4ff.lo: mp4ff.c
	if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4ff.lo -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" \
	  -c -o libmp4ff_a-mp4ff.lo `test -f 'mp4ff.c' || echo '$(srcdir)/'`mp4ff.c; \
	then mv -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" "$(DEPDIR)/libmp4ff_a-mp4ff.Plo"; \
	else rm -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo"; exit 1; \
	fi
#	source='mp4ff.c' object='libmp4ff_a-mp4ff.lo' libtool=yes \
#	depfile='$(DEPDIR)/libmp4ff_a-mp4ff.Plo' tmpdepfile='$(DEPDIR)/libmp4ff_a-mp4ff.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4ff.lo `test -f 'mp4ff.c' || echo '$(srcdir)/'`mp4ff.c

libmp4ff_a-mp4atom.o: mp4atom.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4atom.o -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" \
	  -c -o libmp4ff_a-mp4atom.o `test -f 'mp4atom.c' || echo '$(srcdir)/'`mp4atom.c; \
	then mv -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" "$(DEPDIR)/libmp4ff_a-mp4atom.Po"; \
	else rm -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo"; exit 1; \
	fi
#	source='mp4atom.c' object='libmp4ff_a-mp4atom.o' libtool=no \
#	depfile='$(DEPDIR)/libmp4ff_a-mp4atom.Po' tmpdepfile='$(DEPDIR)/libmp4ff_a-mp4atom.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4atom.o `test -f 'mp4atom.c' || echo '$(srcdir)/'`mp4atom.c

libmp4ff_a-mp4atom.obj: mp4atom.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4atom.obj -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" \
	  -c -o libmp4ff_a-mp4atom.obj `if test -f 'mp4atom.c'; then $(CYGPATH_W) 'mp4atom.c'; else $(CYGPATH_W) '$(srcdir)/mp4atom.c'; fi`; \
	then mv -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" "$(DEPDIR)/libmp4ff_a-mp4atom.Po"; \
	else rm -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo"; exit 1; \
	fi
#	source='mp4atom.c' object='libmp4ff_a-mp4atom.obj' libtool=no \
#	depfile='$(DEPDIR)/libmp4ff_a-mp4atom.Po' tmpdepfile='$(DEPDIR)/libmp4ff_a-mp4atom.TPo' \
#	$(CCDEPMODE) $(depcomp) \
