=== debian/changelog ===
peekaboo (0.5) unstable; urgency=low

  * small fixes in source code and cleaning up some unneccesary code
 -- Sampo Savola <samposav@paju.oulu.fi>  Tue, 4 Dec 2007 16:16:30 +0300

peekaboo (0.4) unstable; urgency=low

  * fixed more bugs in html code
  * camera should now be in peekaboo's posession at startup
 -- Sampo Savola <samposav@paju.oulu.fi>  Thu, 27 Nov 2007 16:16:30 +0300

peekaboo (0.3) unstable; urgency=low

  * fixed bug in html code
  * added animation which indicates that stream is on
  * info has now some relevant information
  * statusbar doesnt anymore show "No network:8080" if no network when starting up program
 -- Sampo Savola <samposav@paju.oulu.fi>  Thu, 21 Nov 2007 12:16:30 +0300

peekaboo (0.2) unstable; urgency=low

  * fixed correct url
  * changed menu structure

 -- Sampo Savola <samposav@paju.oulu.fi>  Thu, 20 Nov 2007 13:16:30 +0300

peekaboo (0.1) unstable; urgency=low

  * first build

 -- Sampo Savola <samposav>  Mon, 5 Nov 2007 12:46:30 +0300

vlc (0.8.4.debian-10gagarin) unstable; urgency=low

  * Small mmap buffer fix for v4l.c
  * Added a new streaming script: vlc_startup_streamer

 -- Seppo Yliklaavu <seppo.yliklaavu@nokia.com>  Thu, 28 Sep 2006 09:18:15 +0300

vlc (0.8.4.debian-9gagarin) unstable; urgency=low

  * V4L access module hacked to support Gagarin camera (V4L v2)

 -- Seppo Yliklaavu <seppo.yliklaavu@nokia.com>  Mon, 28 Aug 2006 12:46:30 +0300

vlc (0.8.4.debian-8) unstable; urgency=low

  * OS2006 updates

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Tue,  6 Jun 2006 08:20:51 +0300

vlc (0.8.4.debian-7) unstable; urgency=low

  * Removed libvorbis build dependency
  * Added tremor plugin and libraries
  * Compiled with libraries dynamically linked

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Fri, 24 Mar 2006 02:14:53 -0800

vlc (0.8.4.debian-6) unstable; urgency=low

  * modules/gui/maemo: 
    * got rid of unnecessary garbage in the GUI
    * added menu entries
    * use GTK_STOCK icons
    * reorganized the tabs and added "Add file" button to playlist view 
  * configure.ac: use pkg-config for maemo libs

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Wed, 22 Mar 2006 00:25:12 -0800

vlc (0.8.4.debian-5) unstable; urgency=low

  * Created a separate maemo GUI module in modules/gui/maemo
  * Modified the X11 output module in modules/video_output/x11 
    so that it sets the WM_CLASS property for its windows

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Wed,  8 Mar 2006 08:58:07 +0200

vlc (0.8.4.debian-4) unstable; urgency=low

  * Exactly the same as -3 but with sources

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Fri,  3 Feb 2006 10:00:58 +0200

vlc (0.8.4.debian-3) unstable; urgency=low

  * Built with pda GUI module
  * Bundled some libraries (libmad, libmpeg2, libdvbpsi, libmp3lame, libogg,
    libvorbis, libvorbisenc)

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Fri, 13 Jan 2006 13:10:02 +0200

vlc (0.8.4.debian-2) unstable; urgency=low

  * Initial Maemo port

 -- Tapio Tolvanen <tapio.tolvanen@nokia.com>  Wed, 30 Nov 2005 13:10:02 +0200

vlc (0.8.4.debian-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 26 Nov 2005 19:55:09 +0100

vlc (0.8.4-test2-2) unstable; urgency=low

  * extras/x264/configure:
    + Teach the configure script about the Alpha platform.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 18:49:31 +0100

vlc (0.8.4-test2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Build-depend on a newer version of gnutls (Closes: #335774).
    + Replaced occurrences of "wxwindows" with "wxwidgets" (Closes: #330141).
  * debian/rules:
    + Use dh_buildinfo because of all the static libraries we use.
  * Upstream fixed the wx code so that it builds with newer versions of the
    library (Closes: #332282, #332773).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 10:41:35 +0100

vlc (0.8.4-svn20050920-3) unstable; urgency=low

  * configure.ac:
    + Fixed a bug in the gnomevfs plugin configuration.
  * debian/rules:
    + Explicitly disable the GnomeVFS plugin (Closes: #329317).
  * debian/control:
    + Buuild-depend on yasm on amd64.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 21 Sep 2005 11:36:24 +0200

vlc (0.8.4-svn20050920-2) unstable; urgency=low

  * configure:
    + Fixed the powerpc build with gcc-4.x.
  * extras/x264/configure:
    + Added missing Debian architectures to the configure script.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Sep 2005 17:46:35 +0200

vlc (0.8.4-svn20050920-1) unstable; urgency=low

  * New SVN snapshot.
  * configure.ac:
    + Upstream fixed the AltiVec build on PPC.
  * debian/control:
    + Build-depend on a newer version of libavcodec. mp2v and mp1v encoders
      work again (Closes: #324840).
    + Build-depend on gcc-snapshot on i386 and amd64, because currently only
      that version of gcc properly builds some of the MMX modules.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Sep 2005 13:43:41 +0200

vlc (0.8.4-svn20050823-2) unstable; urgency=low

  * debian/control:
    + Build-depend on libflac-dev (>= 1.1.2-3) because of the soname
      change (Closes: #325948).
  * debian/copyright:
    + Fixed the FSF address.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  1 Sep 2005 12:36:10 +0200

vlc (0.8.4-svn20050823-1) unstable; urgency=low

  * New SVN snapshot.
  * debian/control:
    + Build-depend on libsmbclient-dev.
    + Build-depend on libwxgtk2.6-dev (Closes: #285373), which means the
      interface now works with non-UTF8 locales (Closes: #308770, #322665).
    + Build-depend on a newer version of libavcodec.
  * debian/rules:
    + Activated SMB client support.
    + Install desktop files in usr/share/applications instead of
      usr/share/gnome/apps/Multimedia.
  * debian/patches/00list:
    + 20_no-wx-updates.dpatch: disabled the update check.

