=== debian/control ===
Source: peekaboo
Section: user/multimedia
Priority: optional
Maintainer: Sampo Savola
Standards-Version: 3.6.2.1

Package: peekaboo
Section: user/multimedia
Architecture: arm armel
Depends: 
Provides: 
Description: Peekaboo is a videostreamer.
