=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VLC media player - uses debhelper.
# $Id: rules 12681 2005-09-25 23:47:23Z sam $
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
confflags = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) 

#
# Compilation options
#
vlc_confflags = --enable-release --prefix=/usr

#CONFIG_FLAGS += \
	--prefix=$(pwd)/debian/tmp \
	--enable-release \
	--enable-gtk \
	--disable-livedotcom \
	--disable-plugins \
	--disable-gnome \
	--disable-qt \
	--disable-kde \
	--disable-qte \
	--disable-xosd \
	--disable-arts \
	--disable-libxml2\
	--disable-libmpeg2\
	--enable-fb \
	--disable-sdl \
	--enable-esd \
	--disable-oss \
	--disable-alsa \
	--disable-xvideo \
	--disable-dvd \
	--disable-dvdread \
	--disable-vcd \
	--disable-maxosx \
	--disable-xosd \
	--disable-freetype \
	--disable-flac \
	--disable-skins2 \
	--enable-ffmpeg  \
	--with-ffmpeg-tree=../ffmpeg-20041113  \
	--enable-libmpeg2 \
	--with-libmpeg2-tree=../mpeg2dec-0.4.0 \
	--enable-dvbpsi \
	--with-dvbpsi-tree=../libdvbpsi-20041028 \
	--enable-mad \
	--with-mad-tree=../libmad-0.15.1b \
	--disable-shared \
	--enable-v4l \
	--with-v4l=~/kernel/linux-2.6 \
	$(NULL)

CONFIG_FLAGS += \
	--prefix=/usr \
	--enable-plugins \
	--disable-gnome \
	--enable-gtk \
	--disable-familiar \
	--enable-fb \
	--disable-ggi \
	--disable-sdl \
	--enable-esd \
	--disable-oss \
	--disable-qt \
	--disable-arts \
	--disable-alsa \
	--enable-x11 \
	--disable-pda \
	--disable-maemo \
	--disable-lirc \
	--disable-a52 \
	--disable-aa \
	--disable-xosd \
	--disable-mozilla \
	--disable-kde \
	--disable-mp4 \
	--disable-dvb \
	--disable-dv \
	--disable-satellite \
	--enable-ogg \
	--disable-vorbis \
	--disable-wxwidgets \
	--disable-slp \
	--disable-flac \
	--disable-skins \
	--disable-basic-skins \
	--disable-skins2 \
	--disable-freetype \
	--disable-mkv \
	--disable-pvr \
	--disable-speex \
	--disable-caca \
	--disable-livedotcom \
	--disable-dts \
	--disable-fribidi \
	--disable-cdio \
	--disable-mod \
	--disable-theora \
	--disable-modplug \
	--disable-dvdnav \
	--disable-gnutls \
	--disable-ncurses \
	--disable-smb \
	--disable-gnomevfs \
	--disable-xvideo \
	--enable-tremor \
	--enable-ffmpeg  \
	--with-ffmpeg-mp3lame \
	--enable-libmpeg2 \
	--enable-dvbpsi \
	--enable-mad \
	--disable-shared \
	--enable-v4l \
	$(NULL)

#--with-ffmpeg-tree=../ffmpeg-20041113 \
#--with-mad-tree=../libmad-0.15.1b \
#--with-dvbpsi-tree=../libdvbpsi-20041028 \
#--with-libmpeg2-tree=../mpeg2dec-0.4.0 \

#vlc_confflags += \
	--disable-gnome \
	--disable-gtk \
	--disable-familiar \
	--disable-fb \
	--enable-ggi \
	--enable-sdl \
	--enable-esd \
	--disable-qt \
	--enable-mad \
	--enable-arts \
	--enable-alsa \
	--enable-lirc \
	--enable-a52 \
	--enable-aa \
	--enable-dvbpsi \
	--enable-xosd \
	--enable-mozilla \
	--disable-kde \
	--enable-mp4 \
	--enable-dvb \
	--enable-dv \
	--disable-satellite \
	--enable-ogg \
	--disable-vorbis \
	--enable-tremor \
	--enable-wxwidgets \
	--with-wx-config=wx-config \
	--disable-slp \
	--enable-flac \
	--disable-skins \
	--disable-basic-skins \
	--enable-skins2 \
	--enable-freetype \
	--enable-mkv \
	--enable-v4l \
	--enable-pvr \
	--disable-speex \
	--enable-caca \
	--enable-livedotcom \
	--enable-libmpeg2 \
	--enable-dts \
	--enable-fribidi \
	--enable-cdio \
	--enable-mod \
	--enable-theora \
	--enable-modplug \
	--enable-dvdnav \
	--enable-gnutls \
	--enable-ffmpeg \
	--enable-ncurses \
	--enable-smb \
	--disable-gnomevfs \
	$(NULL)

# These ones are currently shipped with VLC
#vlc_confflags += --enable-faad --with-faad-tree=extras/faad2
#vlc_confflags += --enable-x264 --with-x264-tree=extras/x264

# Glide and svgalib are only for x86
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),i386)
vlc_confflags += --enable-glide
vlc_confflags += --enable-svgalib
endif

# We need this hack for i386 and amd64
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),i386)
CC = $(shell pwd)/debian/gcc-snapshot
export CC
endif
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),amd64)
CC = $(shell pwd)/debian/gcc-snapshot
export CC
endif

# Remove --without-dvdcss in non-totalitarian countries
#vlc_confflags += --enable-dvd --without-dvdcss

# A few shortcuts
VIDDIR = usr/share/vlc
PIXDIR = usr/share/pixmaps
APPDIR = usr/share/applications


#
# Build rules
#

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Touch stuff
	touch configure.ac
	touch aclocal.m4
	touch configure
	touch config.h.in
	touch `find . -name Makefile.in`

	# Check that we have an x264 tree in here (can be a symlink)
#	test -d extras/x264
#	cd extras/x264 \
#	 && ./configure $(confflags) --extra-cflags='$$(ECFLAGS)' \
#	                             --extra-asflags='$$(EASFLAGS)' \
#	 && $(MAKE)
#
	# Check that we have an faad2 tree in here (can be a symlink)
#	test -d extras/faad2
#	cd extras/faad2 \
#	 && touch `find . -name configure.in` \
#	 && touch `find . -name aclocal.m4` \
##	 && touch `find . -name configure` \
#	 && touch `find . -name config.h.in` \
#	 && touch `find . -name Makefile.in` \
#	 && ./configure $(confflags) --disable-shared \
#	 && cd libfaad \
#	 && $(MAKE)

	# Configure VLC 
	# you can add CFLAGS="-march=armv5te" when building for arm
	export LDFLAGS=-L$(CURDIR)/../lib; CPPFLAGS="-I$(CURDIR)/../include" CFLAGS="-O2 -march=armv5te" ./configure --mandir=$${prefix}/share/man \
	  --infodir=$${prefix}/share/info $(CONFIG_FLAGS)

	touch configure-stamp

build: build-stamp
build-stamp: patch configure-stamp
	dh_testdir

	#build peekaboo user interface
	cd modules/gui/peekaboo && $(MAKE) peekaboo

	# Build only VLC, with the non-PIC libs
	$(MAKE) include/vlc_symbols.h
	cd modules && AM_MAKEFLAGS='plugin=no pic=no' $(MAKE)
	$(MAKE) vlc

	# Hackety hackety hack
#	cd extras/x264 && $(MAKE) clean && $(MAKE) ECFLAGS=-fPIC EASFLAGS=-D__PIC__

	# HACKETY HACKETY HACK
#	cd extras/faad2/libfaad && $(MAKE) clean && $(MAKE) AM_CFLAGS=-fPIC

	# Build all the rest, with the PIC libs
	AM_MAKEFLAGS='builtin=no' $(MAKE)

	# Minor test, to see which plugins were built and whether they load
	# properly.
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	./vlc --reset-plugins-cache -l -I rc vlc:quit
endif

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp

	# Check that we have an x264 tree in here (can be a symlink)
#	test -d extras/x264
#	-cd extras/x264 && $(MAKE) distclean
	# Check that we have an faad2 tree in here (can be a symlink)
#	test -d extras/faad2
#	-cd extras/faad2 && $(MAKE) distclean

	# Clean zsh completion stuff
	rm -f extras/zsh

	# Removed ugly cruft
	rm -f src/misc/modules_builtin.h
	rm -f mozilla/vlcintf.xpt mozilla/vlcintf.h

	# Remove spurious autotools stuff
	rm -f config.log confdefs.h

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	
	#copy peekaboo
	install -d debian/peekaboo/usr/bin
	install -d debian/peekaboo/usr/share/vlc
	install -d debian/peekaboo/usr/share/applications
	cp modules/gui/peekaboo/peekaboo debian/peekaboo/usr/bin/
	install -d debian/peekaboo/usr/var/peekaboo/graphics/
	cp modules/gui/peekaboo/graphics/* debian/peekaboo/usr/var/peekaboo/graphics/
	#install modules/gui/peekaboo/graphics/ikoni_48.png debian/vlc/usr/share/icons/hicolor/40x40/apps/ikoni_48.png

	install -d debian/peekaboo/usr/var/peekaboo/html/
	cp modules/gui/peekaboo/html/* debian/peekaboo/usr/var/peekaboo/html/
	DESTDIR=`pwd`/debian/peekaboo/ $(MAKE) install prefix=/usr
	install -d debian/peekaboo/usr/share/applications/hildon/
	cp desktop/peekaboo.desktop debian/peekaboo/usr/share/applications/hildon/
	
	

	# Package: vlc
